%global debug_package %{nil}

Summary:        Python bindings for at-spi
Name:           pyatspi
Version:        2.46.0
Release:        6%{?dist}
License:        LGPLv2 and GPLv2
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        http://download.gnome.org/sources/pyatspi/2.46/%{name}-%{version}.tar.xz

BuildRequires:  make python3-devel python3-dbus
BuildRequires:  pkgconfig(atspi-2) pkgconfig(dbus-1) pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(dbus-glib-1) pkgconfig(gobject-2.0) pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) pkgconfig(libxml-2.0) pkgconfig(atk) pkgconfig(pygobject-3.0)

BuildArch:      noarch

%description
This package allows assistive technologies to access GTK-based applications.
Essentially it exposes the internals of applications for automation, so tools
such as screen readers, magnifiers, or even scripting interfaces can query and
interact with GUI controls.
This package includes a python3 client library for at-spi.

%package -n     python3-pyatspi
Summary:        Python3 bindings for at-spi
Requires:       at-spi2-core
Requires:       python3-gobject

%description -n python3-pyatspi
This package allows assistive technologies to access GTK-based applications.
Essentially it exposes the internals of applications for automation, so tools
such as screen readers, magnifiers, or even scripting interfaces can query and
interact with GUI controls.
This package includes a python3 client library for at-spi.

%prep
%autosetup -p1

%build
%configure --with-python=python3 --enable-tests
%make_build


%install
%make_install
sed -i '1s|^#!/usr/bin/python|#!%{__python3}|' examples/magFocusTracker.py

%check
# test has been done in build step, with --enable-tests

%files -n python3-pyatspi
%license COPYING COPYING.GPL
%doc AUTHORS README
%doc examples/magFocusTracker.py
%{python3_sitelib}/pyatspi/


%changelog
* Wed May 29 2024 Shuo Wang <abushwang@tencent.com> - 2.46.0-6
- add note for %check

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.46.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.46.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.46.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.46.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 14 2022 Shuo Wang <abushwang@tencent.com> - 2.46.0-1
- initial build

